%define name bootparamd
%define version 0.17
%define release 4mdk

Summary: A server process which provides boot information to diskless clients.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: BSD
Group: System/Servers
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-bootparamd-0.17.tar.bz2
Source1: bootparamd.init.bz2
#Patch: netkit-bootparamd-0.10-misc.patch.bz2
Prereq: /sbin/chkconfig
Requires: portmap
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
The bootparamd process provides bootparamd, a server process which
provides the information needed by diskless clients in order for them
to successfully boot.  Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map.  Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the rarp and tftp servers.
This bootparamd server process is compatible with SunOS bootparam clients
and servers which need that boot server code.

You should install bootparamd if you need to provide boot information to
diskless clients on your network.

%prep
%setup -q -n netkit-bootparamd-%{version}
#%patch -p1

%build
%serverbuild
./configure --prefix=%{_prefix}
perl -pi -e '
	s,^CC=*.$,CC=cc,;
	s,-O2,\$(RPM_OPT_FLAGS) -D_BSD_SOURCE,;
	s,^BINDIR=.*$,BINDIR=%{_bindir},;
	s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
	s,^MANDIR=.*$,MANDIR=%{_mandir},;
	' MCONFIG
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,5,8}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
make INSTALLROOT=$RPM_BUILD_ROOT install
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/bootparamd.init
install -m 755 $RPM_BUILD_ROOT/bootparamd.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/bootparamd

cd $RPM_BUILD_ROOT%{_mandir}/man8
ln -s rpc.bootparamd.8.bz2 $RPM_BUILD_ROOT%{_mandir}/man8/bootparamd.8.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service bootparamd

%preun
%_preun_service bootparamd

%files
%defattr(-,root,root,0755)
%{_sbindir}/rpc.bootparamd
%{_bindir}/callbootd
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/rc.d/init.d/bootparamd

%changelog
* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.17-4mdk
- use server macros

* Sun Feb 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.17-3mdk
- spec cleaning

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-2mdk
- s|%postun|%preun|;
- noreplace.
- Add default runlevel in initscripts.
- Use RETVAL in initscripts. 

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- a much needed update to the new and shiny 0.17 version

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.10-7mdk
- macroszifications
- BM

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.10-6mdk
- remove version from spec filename
- compress source for bootparamd init script
- remove script segment which strips binaries, spec-helper does this now

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.10-5mdk
- updated BuildRoot
- new group System/Servers

* Fri Nov 12 1999 Camille Begnis <camille@mandrakesoft.com>
- Picked new initrscript from mandrake
- added defattr

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- removed triggerpostun.

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- updated initscript to include functions
- fixed 'stop' action of initscript
- added requirement for portmap

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added an initscript

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
